GNU Radio 2.x: gr_vmcircbuf_factory Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_vmcircbuf_factory Class Reference

`#include <gr_vmcircbuf.h>`

Inheritance diagram for gr_vmcircbuf_factory:

[legend]
List of all members.

## Detailed Description

abstract factory for creating circular buffers

## Public Member Functions
virtual const char * | name () const =0
| return name of this factory
virtual int | granularity ()=0
| return granularity of mapping, typically equal to page size
virtual gr_vmcircbuf * | make (int size)=0
| return a gr_vmcircbuf, or 0 if unable.
## Protected Member Functions
| gr_vmcircbuf_factory ()
virtual | ~gr_vmcircbuf_factory ()

## Constructor & Destructor Documentation

gr_vmcircbuf_factory::gr_vmcircbuf_factory | ( |  | ) | `[inline, protected]`

gr_vmcircbuf_factory::~gr_vmcircbuf_factory | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual int gr_vmcircbuf_factory::granularity | ( |  | ) | `[pure virtual]`

| return granularity of mapping, typically equal to page size Implemented in gr_vmcircbuf_createfilemapping_factory, gr_vmcircbuf_mmap_shm_open_factory, gr_vmcircbuf_mmap_tmpfile_factory, and gr_vmcircbuf_sysv_shm_factory.

virtual gr_vmcircbuf* gr_vmcircbuf_factory::make | ( | int | size | ) | `[pure virtual]`

| return a gr_vmcircbuf, or 0 if unable. Call this to create a doubly mapped circular buffer. Implemented in gr_vmcircbuf_createfilemapping_factory, gr_vmcircbuf_mmap_shm_open_factory, gr_vmcircbuf_mmap_tmpfile_factory, and gr_vmcircbuf_sysv_shm_factory.

virtual const char* gr_vmcircbuf_factory::name | ( |  | ) | const`[pure virtual]`

| return name of this factory Implemented in gr_vmcircbuf_createfilemapping_factory, gr_vmcircbuf_mmap_shm_open_factory, gr_vmcircbuf_mmap_tmpfile_factory, and gr_vmcircbuf_sysv_shm_factory.

The documentation for this class was generated from the following files:

- gr_vmcircbuf.h
- gr_vmcircbuf.cc